Name: plib
Version: 1.8.4
Release: alt7

Summary: Steve's Portable Game Library
License: LGPL
Group: Development/C++
Url: http://plib.sourceforge.net/

Source0: http://plib.sourceforge.net/dist/%name-%version.tar.bz2

Patch0: plib-1.8.4-alt-build.patch
Patch1: plib-1.8.4-alt-shared.patch
Patch2: plib-1.8.4-alt-fix-unresolved.patch
Patch5: plib-1.8.4-alt-makefile.patch

# SuSE
Patch3: plib-1.8.4-extraqual.diff
Patch4: plib-1.8.4-type.diff

Packager: Igor Zubkov <icesik@altlinux.ru>

# Automatically added by buildreq on Mon Nov 28 2005
BuildRequires: gcc-c++ libaudio-devel libstdc++-devel xorg-x11-devel

%description
Write games and other realtime interactive applications that are 100 percent
portable across a wide range of hardware and operating systems.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
Development libraries and header files for %name.

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Static libraries for %name.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
%__autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog KNOWN_BUGS NOTICE README TODO-1.6 TODO-2.0 TODO_AFTER135
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/%name

%files devel-static
%_libdir/*.a

%changelog
* Fri Jun 08 2007 Igor Zubkov <icesik@altlinux.org> 1.8.4-alt7
- run ldconfig after install and uninstall

* Thu May 25 2006 Igor Zubkov <icesik@altlinux.ru> 1.8.4-alt6
- try 2 to fix build in hasher

* Thu May 18 2006 Igor Zubkov <icesik@altlinux.ru> 1.8.4-alt5
- sync with SuSE plib-1.8.4-19
- fix rebuild with gcc 4.1

* Sat May 06 2006 Igor Zubkov <icesik@altlinux.ru> 1.8.4-alt4
- fix unresolved symbols

* Mon Nov 28 2005 Igor Zubkov <icesik@altlinux.ru> 1.8.4-alt3
- add docs
- fix build

* Thu May 12 2005 Stanislav Ievlev <inger@altlinux.org> 1.8.4-alt2
- fixed building in hasher

* Tue Feb 08 2005 Stanislav Ievlev <inger@altlinux.org> 1.8.4-alt1
- 1.8.4

* Tue Sep 21 2004 Stanislav Ievlev <inger@altlinux.org> 1.8.3-alt1
- 1.8.3

* Thu Dec 04 2003 Stanislav Ievlev <inger@altlinux.org> 1.6.0-alt3.1
- rebuild without .la files

* Tue Sep 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt3
- fix build in hasher

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt2
- fix #0001718 and #0001717

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.0-alt1
- 1.6.0
- split into devel and devel-static subpackages

* Mon Sep 24 2001 Sergey V Turchin <zerg@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Wed Sep 19 2001 Sergey V Turchin <zerg@altlinux.ru> 1.4.2-alt2
- fix provides

* Tue Sep 18 2001 Sergey V Turchin <zerg@altlinux.ru> 1.4.2-alt1
- build for ALT

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2

* Mon Jun 25 2001  Daouda Lo <daouda@mandrakesoft.com> 1.4.1-1mdk
- release 1.4.1

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- version 1.4.0

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-5mdk
- rh patches

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-4mdk
- rebuild

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-3mdk
- clean spec

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- added Packager tag
- removed hardcoded -O6

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0 stable release

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.20-1mdk
- first Mandrake Package
